#include <bits/stdc++.h>
using namespace std;
int main()
{
    long long int n=0,k,a,b,c;
    cin>>a>>b>>k;
    c=a%k;
    for(int i=0;i<b-a;i++)
    {
        if((i+2+c)%k!=0)i++;
        n++;
    }
    cout<<n;

    return 0;
}